if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/lib ; rm -rf libbasketcommon.so )
( cd usr/lib ; ln -sf libbasketcommon.so.5 libbasketcommon.so )
( cd usr/lib ; rm -rf libbasketcommon.so.5 )
( cd usr/lib ; ln -sf libbasketcommon.so.5.15.3 libbasketcommon.so.5 )
